"use strict";
this.name        = "tracker_trigger.js";
this.author      = "Thargoid";
this.copyright   = "Creative Commons: attribution, non-commercial, sharealike with clauses - see readme.txt";
this.description = "Script for setting up the tracker";
this.version     = "1.04";

//-----------------------------------------------------------------------------//
this.activated = function() {
    var _ship = player.ship;

    if (!_ship) return
    if  (!_ship.target) {
        player.consoleMessage("No target to track.", 8)
        return;
    }   
    if (_ship.target.dataKey === "telescopemarker") {
        player.consoleMessage("Target beyond range to attach/recall tracker.", 8)
        return;
    }
    var _target = _ship.target;
    var _tagArray = system.shipsWithPrimaryRole("tracker_beacon", _target, _target.collisionRadius) 
    // check if the target is already tagged - if so then activation is to remove it
    if (_tagArray.length > 0) {
        log(this.name,"Removing tracker from "+_tagArray[0].target);
        _tagArray[0].remove();
        player.consoleMessage("Tracker called back from "+_target.displayName+".", 8);
        return;
    }
    
    if (system.countShipsWithPrimaryRole("tracker_beacon") > 4) {// if there are already 5 active tags in the system
        player.consoleMessage("No trackers available.", 8);
        log(this.name, "Already tracking 5 ships:"+system.shipsWithPrimaryRole("tracker_beacon"));
        return;
    }
    
    // if we get this far, we're setting up tracking on the target
    var Tag = _target.spawnOne("tracker_beacon");
    if (!Tag)
        log(this.name, "Couldn't spawn tracker beacon for "+_target.displayName);
    else {
        Tag.target = _target;
        log(this.name, "Created tracker for "+_target.displayName+":"+Tag);
        player.consoleMessage("Tracker attached to "+_target.displayName+".", 8);
    }
}

